rpmfileutil.h File Reference
I/O » File and Path Manipulation API. | I/O » RPM IO API.
`#include <rpm/rpmutil.h>`
`#include <rpm/rpmio.h>`
`#include <rpm/rpmpgp.h>`
`#include <rpm/argv.h>`
Include dependency graph for rpmfileutil.h:

Go to the source code of this file.

## Typedefs

typedef enum rpmCompressedMagic_e | rpmCompressedMagic

## Enumerations

enum | rpmCompressedMagic_e { COMPRESSED_NOT = 0, COMPRESSED_OTHER = 1, COMPRESSED_BZIP2 = 2, COMPRESSED_ZIP = 3, COMPRESSED_LZMA = 4, COMPRESSED_XZ = 5, COMPRESSED_LZIP = 6, COMPRESSED_LRZIP = 7, COMPRESSED_7ZIP = 8, COMPRESSED_GEM = 9, COMPRESSED_ZSTD = 10 }

## Functions

int | rpmDoDigest (int algo, const char *fn, int asAscii, unsigned char *digest)
FD_t | rpmMkTemp (char *templ)
FD_t | rpmMkTempFile (const char *prefix, char **fn)
int | rpmioMkpath (const char *path, mode_t mode, uid_t uid, gid_t gid)
int | rpmMkdirs (const char *root, const char *pathstr)
char * | rpmCleanPath (char *path)
char * | rpmGenPath (const char *urlroot, const char *urlmdir, const char *urlfile)
char * | rpmGetPath (const char *path,...) RPM_GNUC_NULL_TERMINATED
int | rpmIsGlob (const char *pattern, int quote)
int | rpmGlob (const char *patterns, int *argcPtr, ARGV_t *argvPtr)
char * | rpmEscapeSpaces (const char *s)
int | rpmFileIsCompressed (const char *file, rpmCompressedMagic *compressed)
int | rpmFileHasSuffix (const char *path, const char *suffix)
char * | rpmGetCwd (void)

## Detailed Description

File and path manipulation helper functions.

Definition in file rpmfileutil.h.